petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMFieldGetType

Gets the DMField type name (as a string) from the DMField.

### Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode  DMFieldGetType(DMField field, DMFieldType *type)

Not Collective

### Input Parameter

field -The DMField context

### Output Parameter

type -The DMField type name

### Keywords

DMField, get, type, name

### See Also

DMFieldSetType()

### Level

advanced

### Location

src/dm/field/interface/dmfield.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages